/*

CSS for public and private pages of NKU company.

*/


/*
#########################
    Zobrazeni seznamu SAI dokumentu v topicu
#########################
Preview related asset SAI documents for Topic.ftl
zobrazuje pouze 5 dokumentu, zbytek po kliku na Show more */

.sai-document-item {
	display: none;
	word-break: break-word;
}

.sai-document-item td:first-child {
	width: 5%;
}

tr.sai-document-item-show-more {
	display: none;
}

.sai-document-item-level-0 {
	display: table-row;
}

tr.sai-document-item-show-more-level-1 {
	display: table-row;
}

.sai-document-item-show-more td {
	box-shadow: inset 0 0.0625rem #dee2e6 !important;
	line-height: 0;
	padding: 0px !important;
}


.sai-document-item-show-more td {
    text-align: right;
}

.sai-document-item-show-more td button {
    margin-top: 10px;
}

/*
#########################
    Zobrazeni seznamu Subtopicu v topicu
#########################
Preview related asset Subtopics for Topic.ftl
zobrazuje pouze 5 subtopicu, zbytek po kliku na Show more */

.subtopic-item {
    display: none;
    word-break: break-word;
}

.subtopic-item td:first-child {
    width: 5%;
}

tr.subtopic-item-show-more {
    display: none;
}

.subtopic-item-level-0 {
    display: table-row;
}

tr.subtopic-item-show-more-level-1 {
    display: table-row;
}

.subtopic-item-show-more td {
    box-shadow: inset 0 0.0625rem #dee2e6 !important;
    line-height: 0;
    padding: 0 !important;
}


.subtopic-item-show-more td {
    text-align: right;
}

.subtopic-item-show-more td button {
    margin-top: 10px;
}

/*
#########################
    Zobrazeni consentu (cookiebar & page)
#########################
 */
#cookiebar {
    /*padding: 30px 20px 30px 80px;*/
    /*text-align: left;*/
    /*background: #fff;*/
    /*display: block;*/
    /*position: relative;*/

    padding: 20px 15%;
    text-align: left;
    background: #fff;
    display: none;
    position: fixed;
    bottom: 0;
    width: 100%;
    z-index: 99;
}

#cookiebar:before {
    content: "";
    position: absolute;
    top: -10px;
    left: 0;
    display: block;
    width: 100%;
    height: 10px;
    background-image: -webkit-gradient(linear,left top,left bottom,color-stop(0,rgba(0,51,102,0)),to(rgba(0,51,102,.2)));
}

.cookie-content {
    display: block;
}

.cookie-content .text {
    display: inline-block;
    font-size: 18px;
    font-weight: 700;
    font-style: normal;
    font-stretch: condensed;
    line-height: normal;
    padding-right: 15px;
}

.cookie-content .button-wrapper {
    position: absolute;
    right: 20px;
    top: 15%;
    margin-top: 0;
    display: block;
}

.cookie-content .button-wrapper .button {
    cursor: pointer;
    border-radius: 0.25rem;
    /*background-color: #0053f0;*/
    background-color: #51ad32;
    border-color: transparent;
    padding: 0.4375rem 0.9375rem;
}

/*.cookie-content .button-wrapper .button:hover {*/
/*    background-color: #004ee4;*/
/*    border-color: transparent;*/
/*}*/

.cookie-content .button-wrapper .button-text {
    color: #FFF;
    font-weight: 600;
}

body.open .cookie-content .button-wrapper {
    right: 25%;
}

@media (max-width: 1400px) {
    body.open .cookie-content .button-wrapper {
        margin-top: 10px;
        position: relative;
        width: 100%;
        top: 0;
        right: 20px;
        text-align: center;
    }
}

@media (max-width: 640px) {
    .cookie-content .text {
        padding-right: 0;
        width: 100%;
        display: block;
        font-weight: 400;
        font-size: 16px;
    }

    .cookie-content .button-wrapper {
        margin-top: 10px;
        position: relative;
        width: 100%;
        top: 0;
        right: 20px;
        text-align: center;
    }
}

/*.cookie-content .text {*/
/*    float: left;*/
/*}*/
/*
#########################
    CURRENT PHASE - TOPIC
#########################*/


/* barevne pozadi polozek */

select[name^="_com_liferay_journal_web_portlet_JournalPortlet_CurrentPhase"] option[value="publication"] {
	background-color: green;
}

select[name^="_com_liferay_journal_web_portlet_JournalPortlet_CurrentPhase"] option[value="evaluation"] {
	background-color: #ff9900;
}

select[name^="_com_liferay_journal_web_portlet_JournalPortlet_CurrentPhase"] option[value="preparation"] {
	background-color: red;
}


/* odebere prazdnou polozku, lfr ji generuje vzdy */

select[name^="_com_liferay_journal_web_portlet_JournalPortlet_CurrentPhase"] option[value=""] {
	display: none;
}


/* zobrazeni na detailu topicu - mozna i jinde */

span.currentPhase-publication {
	color: green;
}

span.currentPhase-evaluation {
	color: #ff9900;
}

span.currentPhase-preparation {
	color: red;
}

span.currentPhase-none {
	color: #CCCCCC;
}


/* zobrazeni seznamu topicu */

.topic-table td.table-cell-field:nth-child(1) {
	width: 1%;
}

.topic-table td.table-cell-field:nth-child(2) {
	width: 34%;
}

.topic-table td.table-cell-field:nth-child(3) {
	width: 40%;
}

.topic-table td.table-cell-field:nth-child(4) {
	width: 25%;
}

.topic-table .column-currentPhase-publication {
	background-color: green !important;
}

.topic-table .column-currentPhase-evaluation {
	background-color: #ff9900 !important;
}

.topic-table .column-currentPhase-preparation {
	background-color: red !important;
}

.topic-table .column-currentPhase-none {
	background-color: #CCCCCC !important;
}


/* legenda k current phase na seznamu topicu ., info icon v TH tabulky */

.topic-table .current-phase-info-icon:before {
	content: "\f05a";
	font-family: FontAwesome;
}

/* PAGE FOOTER */
.footer-public-wrapper > h2 {
    /*font-weight: bold;*/
    color: white;
    text-align: center;
    font-family: 'Montserrat', sans-serif;
}

.footer-public-wrapper > div {
    position: relative;
    margin-top: 3em;
}

.footer-public-wrapper .footer-address {
    font-size: 80%;
    min-height: 100px;
    float: right;
    margin-top: -6em;
}

.footer-public-wrapper .footer-logo {
    float: left;
}

.footer-public-wrapper .footer-logo img {
    height: 50px;
    width: auto;
}

.footer-public-wrapper .footer-email {
    margin-top: -3.5em;
    right: 0;
    /* position: absolute; */
    text-align: center;
    position: relative;
    float: left;
    width: 100%;
}

.footer-public-wrapper .footer-email a:hover,
.footer-public-wrapper .footer-address a:hover {
    text-decoration: underline;
}

.footer-public-wrapper .footer-email a,
.footer-public-wrapper .footer-address a {
    color: white;
    font-weight: normal;
    text-decoration: none;
}

.footer-public-wrapper .footer-email .icon-envelope:before {
    font-size: 2em;
}

footer#footer {
    background-color: #c11730;
    margin-top: 4em;
}

@media (max-width: 360px) {
    .footer-public-wrapper .footer-address {
        float: none;
        margin-top: 2em;
    }
    .footer-public-wrapper .footer-logo {
        float: none;
        width: 100%;
    }
    .footer-public-wrapper .footer-email {
        margin-top: 2em;
        position: relative;
        right: auto;
        float: none;
        width: 100%;
    }
}